October 16, 2007
Just curious how many folks are actually using D2.x already.
Reply here, or if you'd like to keep the noise on the NG down, just respond with this no-reg-required poll:

   http://www.billbaxter.com/tmp/d2poll.html

--bb
October 16, 2007
Not using 2.x, because I use tango, which doesn't yet support 2.x.

-Steve

"Bill Baxter" wrote
> Just curious how many folks are actually using D2.x already.
> Reply here, or if you'd like to keep the noise on the NG down, just
> respond with this no-reg-required poll:
>
>    http://www.billbaxter.com/tmp/d2poll.html
>
> --bb


October 16, 2007
Reply to Bill,

> Just curious how many folks are actually using D2.x already.
> Reply here, or if you'd like to keep the noise on the NG down, just
> respond with this no-reg-required poll:
> http://www.billbaxter.com/tmp/d2poll.html
> 
> --bb
> 

NO, All my d work at the moment is intended to survive for a while. As such 2.0's moving target is "not good".


October 16, 2007
On 10/16/07, Bill Baxter <dnewsgroup@billbaxter.com> wrote:
> Just curious how many folks are actually using D2.x already. Reply here

Yes
October 16, 2007
Bill Baxter wrote:
> Just curious how many folks are actually using D2.x already.
> Reply here, or if you'd like to keep the noise on the NG down, just respond with this no-reg-required poll:
> 
>    http://www.billbaxter.com/tmp/d2poll.html
> 
> --bb

I started a project a while back that requires __traits, but these days I'm using Tango.
October 16, 2007
Bill Baxter wrote:
> Just curious how many folks are actually using D2.x already.
> Reply here, or if you'd like to keep the noise on the NG down, just respond with this no-reg-required poll:
> 
>     http://www.billbaxter.com/tmp/d2poll.html
> 
> --bb

The two libraries I maintain both support both 1.x and 2.x.  But I don't use 2.x in apps just yet.
October 16, 2007
Bill Baxter schrieb:
> Just curious how many folks are actually using D2.x already.
> Reply here, or if you'd like to keep the noise on the NG down, just
> respond with this no-reg-required poll:
> 
>    http://www.billbaxter.com/tmp/d2poll.html
> 
> --bb

Tangouser => D1

But as soon as tango makes the switch to D2, i am also using D2.
October 16, 2007
Bill Baxter Wrote:

> Just curious how many folks are actually using D2.x already.
> Reply here, or if you'd like to keep the noise on the NG down, just
> respond with this no-reg-required poll:
> 
>     http://www.billbaxter.com/tmp/d2poll.html
> 
> --bb

I'm using 2.0. I started with it because there didn't seem any point using the older version. I get some new features I want to play with.
I have had no worries about it being a moving target. It doesn't move that fast. I've never tried Tango because Phobos is the standard library so naturally I started with that. However, I have yet to cut my teeth on a really big public facing project.

Bruce.
October 16, 2007
"Bill Baxter" <dnewsgroup@billbaxter.com> wrote in message news:ff37lh$2kej$1@digitalmars.com...
> Just curious how many folks are actually using D2.x already.
> Reply here, or if you'd like to keep the noise on the NG down, just
> respond with this no-reg-required poll:
>
>    http://www.billbaxter.com/tmp/d2poll.html
>
> --bb

No, Tango + hate const = D1 for me, at least until those are solved.  There isn't _that_ much in D2 to draw me over anyway.  Const sure isn't it.


October 16, 2007
Bill Baxter wrote:
> Just curious how many folks are actually using D2.x already.
> Reply here, or if you'd like to keep the noise on the NG down, just respond with this no-reg-required poll:
> 
>    http://www.billbaxter.com/tmp/d2poll.html
> 
> --bb

i'm using __traits based runtime reflection.
besides that i could use 1.0.
« First   ‹ Prev
1 2 3 4
Top | Discussion index | About this forum | D home